#include <stdio.h>

void main(argc,argv)
int argc;
char **argv;
{
	int fd,fo,i,j,maxcount=49;
	char t,s[100],o[100],p[100],q[10],r[10];
	q[0]=0x22; q[1]=0;
	fd=fopen("dirlist","rb");
	for(j=1;j<maxcount+1;j++){
		i=0;
		while(1){
			t=fgetc(fd);
			if(t==0x0d) break;
			s[i++]=t;
		}
		fgetc(fd);
		s[i]=0;
		strcpy(o,s);
		strcat(o,".HTM");
		printf("\n\t%d %s --- %s",j,s,o);
		fo=fopen(o,"wb");
		strcpy(p,"<HTML>\n");		fputs(p,fo);
		strcpy(p,"<HEAD>\n");		fputs(p,fo);
		strcpy(p,"<TITLE>\n");		fputs(p,fo);
		strcpy(p,"MIDI Play\n");	fputs(p,fo);
		strcpy(p,"</TITLE>\n");		fputs(p,fo);
		strcpy(p,"</HEAD>\n");		fputs(p,fo);
		strcpy(p,"<BODY>\n");		fputs(p,fo);
		strcpy(p,"<CENTER>\n");		fputs(p,fo);
		strcpy(p,"<HR>\n");		fputs(p,fo);
		strcpy(p,"<embed src=");
		strcat(p,q);
		strcat(p,s);
		strcat(p,".mid");
		strcat(p,q);
		strcat(p," width=196 ");
		strcat(p,"height=49 ");
		strcat(p,"autostart=true ");
		strcat(p,"repeat=false>\n");
		fputs(p,fo);
		strcpy(p,"</embed>\n");	fputs(p,fo);
		strcpy(p,"<HR>\n");		fputs(p,fo);
		strcpy(p,"</CENTER>\n");	fputs(p,fo);
		strcpy(p,"</BODY>\n");	fputs(p,fo);
		strcpy(p,"</HTML>\n");	fputs(p,fo);
		fclose(fo);
	}
	fclose(fd);
}
